Uploaded image for project: 'MongoDB Database Tools'
  1. MongoDB Database Tools
  2. TOOLS-1780

Build tools with Go 1.8.x

    XMLWordPrintable

Details

    • Task
    • Status: Closed
    • Major - P3
    • Resolution: Fixed
    • None
    • 3.7.4, 3.4.15, 3.6.5
    • All Tools
    • None

    Description

      Updated: To fix ZAP/openssl issues, we need to use Go 1.8.x. We should standardize on that for all builds.

      Was:

      go's native build tool added PPC support in version 1.5. we still use gccgo to compile on PPC64LE machines. There's now nothing stopping us from switching to the standard build tool.

      Attachments

        Issue Links

          Activity

            People

              david.golden@mongodb.com David Golden
              william.banfield William Banfield
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: